# BikeSeat
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats

## Class BikeSeat

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.Seat
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.ControllingSeat
      - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.BikeSeat

    public class BikeSeat
    extends ControllingSeat

### Constructor Summary

Constructors
Constructor and Description
`BikeSeat(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset)`
`BikeSeat(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, java.lang.Boolean steer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.Location` `applyExtraOffset(org.bukkit.Location loc)`
`void` `handleInput(MovementInput input)`
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.Seat

`enter`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`despawnStand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BikeSeat

    public BikeSeat(java.lang.Double xOffset,
                    java.lang.Double yOffset,
                    java.lang.Double zOffset)

#### BikeSeat

    public BikeSeat(java.lang.Double xOffset,
                    java.lang.Double yOffset,
                    java.lang.Double zOffset,
                    java.lang.Boolean steer)

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Seat`

#### applyExtraOffset

    public org.bukkit.Location applyExtraOffset(org.bukkit.Location loc)

Overrides:
  `applyExtraOffset` in class `Part`

#### handleInput

    public void handleInput(MovementInput input)

Overrides:
  `handleInput` in class `ControllingSeat`